"""This module contains the urls for the ``media`` app"""

from macrosurl import url

from . import views


urlpatterns = [
    url(
        r'^presentation/create/$',
        views.PresentationCreateView.as_view(),
        name='presentation-create'
    ),
    url(
        r'^presentation/:presentation_uuid/$',
        views.PresentationDetailView.as_view(),
        name='presentation-detail'
    ),
    url(
        r'^presentation/:presentation_uuid/update/$',
        views.PresentationUpdateView.as_view(),
        name='presentation-update'
    ),
    url(
        r'^presentation/:presentation_uuid/delete/$',
        views.PresentationDeleteView.as_view(),
        name='presentation-delete'
    ),
    url(
        r'^video/create/$',
        views.VideoCreateView.as_view(),
        name='video-create'
    ),
    url(
        r'^video/:video_uuid/$',
        views.VideoDetailView.as_view(),
        name='video-detail'
    ),
    url(
        r'^video/:video_uuid/update/$',
        views.VideoUpdateView.as_view(),
        name='video-update'
    ),
    url(
        r'^video/:video_uuid/delete/$',
        views.VideoDeleteView.as_view(),
        name='video-delete'
    ),
]
